package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 优惠券类型枚举
 * @Author 纪寒
 * @Date 2023-02-24 10:56:26
 * @Version 1.0
 */
@Getter
public enum CouponTypeEnum {
    /**
     * 满减券
     */
    FULL_REDUCTION_COUPON("FULL_REDUCTION_COUPON"),

    /**
     * 代金券
     */
    CASH_COUPON("CASH_COUPON"),

    /**
     * 兑换券
     */
    EXCHANGE_COUPON("EXCHANGE_COUPON"),

    /**
     * 折扣券
     */
    DISCOUNT_COUPON("DISCOUNT_COUPON"),
    ;

    final private String info;

    CouponTypeEnum(String info) {
        this.info = info;
    }
}
